# $Revision: 1.53 $, $Date: 2010/08/24 21:35:16 $
# TODO:
# - add logrotate
#
# Conditional build:
%bcond_without	mod		# enable MOD support
%bcond_without	pulseaudio	# disable PulseAudio support
#
Summary:	Music Player Daemon
Summary(hu.UTF-8):	Music Player Daemon
Summary(pl.UTF-8):	Music Player Daemon - demon odtwarzający muzykę
Name:		mpd
Version:	0.15.12
Release:	2
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2
# Source0-md5:	b00b289a20ecd9accfd4972d6395135c
Source1:	%{name}.conf
Source2:	%{name}.init
URL:		http://www.musicpd.org/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	audiofile-devel >= 0.1.7
BuildRequires:	avahi-glib-devel
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	faad2-devel >= 2.6.1-5
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel >= 1.1.0
BuildRequires:	fluidsynth-devel
BuildRequires:	glib2-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.4
BuildRequires:	lame-libs-devel
BuildRequires:	libao-devel >= 0.8.3
BuildRequires:	libcdio-devel
BuildRequires:	libcue-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
%{?with_mod:BuildRequires:	libmikmod-devel >= 3.1.7}
BuildRequires:	libmms-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel >= 0.0.15
BuildRequires:	libshout-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig >= 1:0.9.0
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	sqlite3-devel
BuildRequires:	wavpack-devel
BuildRequires:	wildmidi-devel
BuildRequires:	xmlto
BuildRequires:	zlib-devel
BuildRequires:	zziplib-devel
Provides:	group(mpd)
Provides:	user(mpd)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3,
Ogg Vorbis, FLAC, AAC, Mod, and wave files) and managing playlists.
MPD is designed for integrating a computer into a stereo system that
provides control for music playback over a local network. It is also
makes a great desktop music player, especially if you are a console
junkie, like frontend options, or restart X often.

%description -l hu.UTF-8
Music Player Daemon (MPD)-vel lehetővé válik távoli zenelejátszás
(MP3, Ogg Vorbis, FLAC, AAC, Mod és wav fájlok) és lejátszási listák
menedzselése. Az MPD a számítógépben egy zenelejátszó, amelyet
irányíthatsz helyi hálózaton keresztül. Egyben egy zseniális desktop
zenelejátszó is, különösen a konzol-mániásoknak, vagy azoknak, akik
sűrűn indítják újra az X-et.

%description -l pl.UTF-8
Music Player Daemon (MPD) pozwala na zdalny dostęp do odtwarzania
muzyki (plików MP3, Ogg Vorbis, FLAC, AAC, Mod i wave) oraz
zarządzania playlistami. MPD jest zaprojektowany do integrowania
komputera w system stereo umożliwiający sterowanie odtwarzaniem muzyki
w sieci lokalnej. Służy także za dobry odtwarzacz muzyki dla
komputerów biurkowych, zwłaszcza dla miłośników konsoli, różnych opcji
frontendów albo często restartujących X.

%prep
%setup -q

%build
# ac_cv_* hacks to avoid unwanted linking
%configure \
	ac_cv_lib_iconv_main=no \
	ac_cv_lib_nsl_gethostbyname=no \
	%{!?with_pulseaudio:--disable-pulse} \
	%{?with_mod:--enable-mikmod} \
	--disable-sidplay \
	--enable-alsa \
	--enable-ao \
	--enable-bzip2 \
	--enable-cue \
	--enable-curl \
	--enable-documentation \
	--enable-ffmpeg \
	--enable-fluidsynth \
	--enable-httpd-output \
	--enable-iso9660 \
	--enable-jack \
	--enable-lame-encoder \
	--enable-lastfm \
	--enable-lsr \
	--enable-mad \
	--enable-mms \
	--enable-modplug \
	--enable-mvp \
	--enable-shout \
	--enable-sqlite \
	--enable-vorbis-encoder \
	--enable-wavpack \
	--enable-wildmidi \
	--enable-zip \
	--with-zeroconf=avahi \
	--without-tremor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT{/var/lib/mpd/playlists,/var/log/mpd,/var/run/mpd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mpd

touch $RPM_BUILD_ROOT/var/lib/mpd/mpd.db
touch $RPM_BUILD_ROOT/var/log/mpd/mpd.error
touch $RPM_BUILD_ROOT/var/log/mpd/mpd.log
touch $RPM_BUILD_ROOT/var/run/mpd/mpdstate

rm -rf $RPM_BUILD_ROOT%{_docdir}/mpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 204 mpd
%useradd -u 204 -r -d /home/services/mpd -s /bin/false -c "Music Player Daemon (MPD) user" -g audio -G mpd mpd

%post
for f in mpd.log mpd.error; do
	if [ ! -f /var/log/%{name}/$f ]; then
		touch /var/log/%{name}/$f
		chown mpd:mpd /var/log/%{name}/$f
		chmod 644 /var/log/%{name}/$f
	fi
done
/sbin/chkconfig --add mpd

%preun
if [ "$1" = "0" ]; then
	%service mpd stop
	/sbin/chkconfig --del mpd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove mpd
	%groupremove mpd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/mpdconf.example UPGRADING doc/api doc/developer doc/protocol doc/sticker doc/user
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mpd.conf
%attr(754,root,root) /etc/rc.d/init.d/mpd
%dir %attr(770,root,mpd) /var/lib/%{name}
%dir %attr(770,root,mpd) /var/lib/%{name}/playlists
%dir %attr(751,root,root) /var/log/%{name}
%dir %attr(770,root,mpd) /var/run/%{name}
%attr(644,mpd,mpd) %ghost /var/lib/%{name}/mpd.db
%attr(644,mpd,mpd) %ghost /var/log/%{name}/mpd.error
%attr(644,mpd,mpd) %ghost /var/log/%{name}/mpd.log
%attr(644,mpd,mpd) %ghost /var/run/%{name}/mpdstate
%{_mandir}/man1/mpd.1*
%{_mandir}/man5/mpd.conf.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpd.spec,v $
Revision 1.53  2010/08/24 21:35:16  hawk
- release 2

Revision 1.52  2010/07/24 11:50:13  lisu
- 0.15.12

Revision 1.51  2010/07/19 12:06:11  lisu
- fix last cvs entry

Revision 1.50  2010/07/19 12:05:36  lisu
- 0.15.11

Revision 1.49  2010/07/13 14:43:48  glen
- unify pulseaudio bcond

Revision 1.48  2010/06/18 07:00:15  arekm
- release 2

Revision 1.47  2010/06/16 12:50:10  lisu
- 0.15.10
- adapter

Revision 1.46  2010/06/03 15:31:11  baggins
- rel 2

Revision 1.45  2010/03/22 10:07:11  lisu
- 0.15.9

Revision 1.44  2010/01/20 10:35:19  lisu
- 0.15.8

Revision 1.43  2009/12/31 17:11:11  megabajt
- release 2

Revision 1.42  2009/12/29 20:40:16  wiget
- updated to 0.15.7

Revision 1.41  2009/11/19 22:19:58  wiget
- enable CUE support
- release 2

Revision 1.40  2009/11/19 20:09:29  wiget
- updated to 0.15.6

Revision 1.39  2009/10/29 18:56:23  charles
- updates BRs

Revision 1.38  2009/10/28 18:29:51  wiget
- require faad2-devel with libmp4ff

Revision 1.37  2009/10/28 18:29:02  wiget
- enable mikmod by default
- enable more features (new file formats, audio outputs, archive formats)
- build documentation

Revision 1.36  2009/10/26 13:53:05  lisu
- 0.15.5

Revision 1.35  2009/10/05 21:27:45  wiget
- updated to 0.15.4

Revision 1.34  2009/08/30 20:28:07  aredridel
- 0.15.3

Revision 1.33  2009/08/17 12:24:31  lisu
- 0.15.2

Revision 1.32  2009/07/16 07:47:27  lisu
- 0.15.1

Revision 1.31  2009/06/25 15:33:43  aredridel
- 0.15

Revision 1.30  2009/06/13 00:44:12  charles
- updated TODO

Revision 1.29  2009/06/06 09:09:46  megabajt
- release 2

Revision 1.28  2009/03/29 11:01:57  charles
- packed defaults dirs and files
- BR: curl-devel, ffmpeg-devel, lame-libs-devel
- with/without mod and pulse bcond

Revision 1.27  2009/03/09 01:37:30  gotar
- chkconfig --del mpd not httpd, thanks grapeli23 for pointing out

Revision 1.26  2009/02/16 22:46:14  wiget
- updated to 0.14.2

Revision 1.25  2009/01/18 21:49:19  wiget
- 0.14.1

Revision 1.24  2008/12/26 08:49:40  uzsolt
- 0.14
- remove ">= <version>" from BR faad2-devel

Revision 1.23  2008/12/21 12:35:10  wiget
- move beta to release
- use macros
- fix useradd macro
- more docs

Revision 1.22  2008/12/20 20:55:17  aredridel
- 0.14_beta3

Revision 1.21  2008/11/05 17:18:57  qboosh
- updated init script
- fixed init script and .conf packaging

Revision 1.20  2008/11/05 17:10:26  uzsolt
- init script

Revision 1.19  2008/11/03 19:06:58  uzsolt
- hu summary, description
- mpd.conf default config
- mpd user and group
- rel 1.1

Revision 1.18  2008/09/03 22:59:31  arvenil
- up to 0.13.2

Revision 1.17  2008/02/04 20:09:15  qboosh
- GPL v2+

Revision 1.16  2008-02-04 20:07:54  qboosh
- removed false libatomic_ops BR, added some used

Revision 1.15  2008-02-03 20:47:41  czarny
- up to 0.13.1
- BR: libatomic_ops

Revision 1.14  2007-12-06 22:46:51  sls
- ver. 0.13.0
- removed flac.patch (applied upstream)

Revision 1.13  2007/09/09 12:21:45  wiget
- build with mpc support
- release 2

Revision 1.12  2007/06/19 11:28:49  sls
- sorted BR

Revision 1.11  2007/06/19 11:26:56  sls
- BR: pulseaudio-devel

Revision 1.10  2007/03/31 20:21:24  aredridel
- 0.12.2

Revision 1.9  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.7  2007/01/01 21:58:03  sls
- reenabling support for libao
- added TODO entry about support for pulseaudio and oggflac

Revision 1.6  2007/01/01 21:41:21  sls
- added patch flac (builds with flac-1.1.3)
- rel 2

Revision 1.5  2006/12/13 20:45:14  jajcus
- Version: 0.12.1
- Release: 1 (despite all the TODO entries this package is usable, some people will configure it manually anyway)

Revision 1.4  2006/09/24 12:02:52  koorek
- docs done better

Revision 1.3  2006/09/24 11:37:28  koorek
- only bumped to new version and update url
- more things needs to be done

Revision 1.2  2005/02/23 20:27:16  qboosh
- pl

Revision 1.1  2005/02/23 15:25:55  wiget
- initial and NFY
